Bug 1744711 - [RFE] EPEL8 branch of perl-IO-SessionData
Summary: [RFE] EPEL8 branch of perl-IO-SessionData
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-IO-SessionData
Version: epel8
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1744683
TreeView+ depends on / blocked
 
Reported: 2019-08-22 17:32 UTC by Pat Riehecky
Modified: 2019-10-03 02:01 UTC (History)
4 users (show)

Fixed In Version: perl-IO-SessionData-1.03-16.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-03 02:01:19 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Pat Riehecky 2019-08-22 17:32:21 UTC
Description of problem:

It would be helpful if this module was packaged for EPEL8

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

There are two AppStream modules for perl in RHEL8 right now.  I'm not sure what the EPEL plan is for multi-perl....

Comment 1 Jan Pazdziora 2019-09-11 09:00:54 UTC
I took the liberty of requesting the EPEL 8 branches in the mean time:

https://pagure.io/releng/fedora-scm-requests/issue/16603
https://pagure.io/releng/fedora-scm-requests/issue/16604

Comment 2 Jan Pazdziora 2019-09-11 14:16:32 UTC
Using the Fedora master dist-git content, it scratch builds without failure in EPEL 8: https://koji.fedoraproject.org/koji/taskinfo?taskID=37605591

Here's the respective pull request: https://src.fedoraproject.org/rpms/perl-IO-SessionData/pull-request/1.

Comment 3 Jan Pazdziora 2019-09-16 08:55:24 UTC
Hello Jitka, seeing at https://src.fedoraproject.org/rpms/perl-IO-SessionData you are the main admin for perl-IO-SessionData, would it be OK for you to merge and build the package in EPEL?

Comment 4 Fedora Update System 2019-09-17 06:56:49 UTC
FEDORA-EPEL-2019-9f0f15cf68 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9f0f15cf68

Comment 5 Jitka Plesnikova 2019-09-17 06:58:29 UTC
I merged the changes and built the package.

Comment 6 Fedora Update System 2019-09-18 04:31:01 UTC
perl-IO-SessionData-1.03-16.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9f0f15cf68

Comment 7 Jan Pazdziora 2019-09-23 09:31:09 UTC
Thank you!

Comment 8 Fedora Update System 2019-10-03 02:01:19 UTC
perl-IO-SessionData-1.03-16.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.